@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@100;500;600;700&display=swap');

*,
*::after,
*::before {
    margin: 0;
    padding: 0;
}

html {
    background-color: var(--primary);
    font-family: 'Montserrat', sans-serif;
    min-width: 320px;
}

body {
    box-sizing: border-box;
    min-width: 320px;
}

:root {
    --cool: #EEEEEE;
    --border-r: 12px;
    --primary: #393E46;
    --secundary:  #00ADB5;
    --tertiary: #92CEED;
}

.pokedex--header {
    align-items: center;
    background-color: var(--primary);
    color: var(--cool);
    display: flex;
    justify-content: center;
    padding: 1%;
}

.pokedex--header__logo {
    width: 30px;
}

.pokemon--profile {
    align-items: stretch;
    background-color: var(--primary);
    background-image: url('images/bg_mega.jpg');
    column-gap: 5rem;
    display: flex;
    flex-direction: column;
    padding: 1.8rem;
}

.profile--view {
    display: flex;
    flex-direction: column;
    margin-top: -10rem;
    position: relative;
    top: 10rem;
    width: 100%;
}

.profile--view__title {
    align-items: center;
    background-color: var(--tertiary);
    border-radius: 1.4rem;
    display: flex;
    font-size: 1.3rem;
    font-weight: 800;
    gap: 0.8rem;
    justify-content: center;
    padding: 0.8rem 1.5rem;
}

.profile--view__title--icon > img {
    width: 40px;
}

.profile--view__photo {
    align-items: center;
    display: flex;
    justify-content: center;
    transition: 1s;
}

.profile--view__photo:hover {
    transform: scale(1.05);
    z-index: 2;
}

.profile--view__photo > img {
    max-width: 450px;
    width: 100%;
}

.profile--details {
    background-color: var(--tertiary);
    border-radius: 1.5rem;
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    margin-top: 5.5rem;
    padding: 3rem 0 2rem 0px;
}

.profile--details__detail {
    align-items: center;
    display: flex;
    font-size: 1.5rem;
    gap: 1.5rem;
    justify-content: center;
}

.profile--details__detail--title {
    font-weight: 600;
    text-align: left;
    width: 100px;
}

.profile--details__detail--description {
    text-align: left;
    width: 100px;
}

.shadow {
    box-shadow: 1px 1px 4px rgba(255, 255, 255, 0.5);
}

.pokedex--footer {
    background-color: var(--primary);
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 2%;
    text-align: center;
}

.footer--title {
    padding: 20px 0;
    color: var(--cool);
}

.footer--others {
    display: flex;
    flex-direction: row;
    justify-content: center;
    flex-wrap: wrap;
    gap: 2rem;
    padding: 3%;
}

.footer--others__img {
    display: flex;
    align-self: center;
    background-color: var(--cool);
    border-radius: 1.2rem;
    cursor: pointer;
    width: 125px;
    height: 125px;
    transition: 0.3s;
    justify-content: center;
}

.footer--others__img > img {
    display: flex;
    align-content: center;
    text-align: center;
}

.footer--others__img:hover {
    animation: latidos .8s infinite;
    background-color: var(--tertiary);
	transform-origin: center;
}

@keyframes latidos {
    from { transform: none; }
    50% { transform: scale(1.1); }
    to { transform: none; }
}

@media (min-width: 600px) {

    .pokedex--header {
        justify-content: start;
    }

    .pokemon--profile {
        flex-direction: row;
        justify-content: center;
    }

    .profile--view {
        margin-top: 0;
        position: block;
        top: 0;
        width: 40%;
    }

    .profile--view__title {
        font-size: 2.0vw;
    }

    .profile--view__photo:hover {
        transform: scale(1.1);
        z-index: 2;
    }

    .profile--details {
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: center;
        margin-top: 0;
        padding: 2.5rem 0 2.5rem 0;
        width: 35%;
    }

    .profile--details__detail {
        flex-direction: column;
        font-size: 2.0vw;
        gap: 0.2rem;
        width: 35%;
    }

    .profile--details__detail--title {
        text-align: center;
        width: auto;
    }
    
    .profile--details__detail--description {
        text-align: center;
        width: auto;
    }

    .pokedex--footer {
        flex-direction: row;
        gap: 5rem;
    }

    .footer--others {
        padding: 1%;
    }

    .footer--others__img {
        min-width: 135px;
        max-width: 250px;
        width: 15%;
    }

    .footer--title {
        align-self: center;
        display: flex;
        padding: 0;
    }
}